## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global app_id io.github.lainsce.Notejot
# Upstream confusingly made several bugfix post-releases of version 3.3.3,
# tagged as 3.4.x, but with prominent notices like “This is still 3.3.3”. We
# respect upstream’s wishes (and the version numbers inside the source tarball)
# by packaging these releases as 3.3.3 with appropriate snapshot info.
%global tag 3.4.9
%global forgeurl https://github.com/lainsce/notejot

Name:           notejot
Summary:        Jot your ideas
Version:        3.3.3
%forgemeta
Release:        %autorelease
# The entire source is GPLv3+, except:
#   src/Widgets/NoteMenuPopover.vala
#   src/Widgets/MoveToDialog.vala
#   src/Widgets/EditNotebookDialog.vala
#   src/Widgets/HeaderBarButton.vala
# which are GPLv2+; and
#   data/io.github.lainsce.Notejot.appdata.xml.in
# which is CC0. This results in an effective license of GPLv3+.
License:        GPLv3+

URL:            %{forgeurl}
Source0:        %{forgesource}

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  vala

BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(json-glib-1.0)

Requires:       hicolor-icon-theme

Summary(cs):    Zapiš si své nápady
Summary(da):    Notér dine ideer
Summary(de_DE): Notieren Sie Ihre Ideen
Summary(es):    Anota sus ideas
Summary(fr):    Notez vos idées
Summary(gl):    Apunte as súas ideas
Summary(it):    Annota le tue idee
Summary(ja):    アイデアをメモします
Summary(lt):    Greitai užsirašykite savo idėjas
Summary(nl):    Noteer je ideeën
Summary(pl):    Notuj swoje pomysły
Summary(pt_BR): Anote suas ideias
Summary(pt):    Anote as suas ideias
Summary(ru):    Запишите ваши идеи
Summary(sv):    Skriv ner dina idéer


%description
A stupidly-simple notes application for any type of short term notes or ideas.

  • 🟡 Color your notes in 8 different colors
  • 📓 Classify them in notebooks
  • 🔤 Format text to your liking
  • 📌 Pin your most important ones

%description -l da
En simpel post-it note applikation for enhver type af korttids tanker eller
ideer.

%description -l de-DE
Eine total einfache Notizen-Anwendung für so ziemlich jede Art von kleinen
Notizen oder Ideen.

%description -l es
Una aplicación de notas estúpidamente simple para cualquier tipo de notas o
ideas a corto plazo.

  • 🟡 Coloree sus notas en 8 colores diferentes
  • 📓 Clasifíquelas en cuadernos
  • 🔤 Formatee a su gusto
  • 📌 Fije sus notas más importantes

%description -l fr
Une application de notes post-it stupidement simple pour tout type de notes ou
d’idées à court terme.

%description -l gl
Un aplicativo de notas sinxelo para calquera tipo de notas ou ideas a curto
prazo.

%description -l it
Un’applicazione di note adesive stupidamente semplice per qualsiasi tipo di
note a breve termine o idee.

  • 🟡 Colora le tue note in 8 colori diversi
  • 📓 Classificali nei taccuini
  • 🔤 Formatta il testo a tuo piacimento
  • 📌 Appunta i tuoi più importanti

%description -l ja
一時的なノートやアイデアをメモするための、非常にシンプルな付箋アプリケーショ
ンです。

%description -l lt
Kvailai paprasti lipnūs užrašai bet kokio tipo trumpoms pastaboms ar idėjoms.

%description -l nl
Een doodeenvoudige notitietoepassing voor het opschrijven van korte notities of
ideeën.

%description -l pl
Głupio prosta aplikacja do notowania różnych krótkoterminowych notatek lub
pomysłów.

%description -l pt
Uma aplicação estupidamente simples de notas aderentes para qualquer tipo
de notas a curto prazo ou ideias.

%description -l ru
Невероятно простое приложение для любого типа быстрых заметок или идей.

%description -l sv
Ett löjligt enkelt anteckningsprogram för alla typer av kortvariga anteckningar
eller idéer.


%prep
%forgeautosetup


%build
%meson
%meson_build


%install
%meson_install

%find_lang %{app_id}


%check
desktop-file-validate \
    %{buildroot}/%{_datadir}/applications/%{app_id}.desktop

appstream-util validate-relax --nonet \
    %{buildroot}/%{_datadir}/metainfo/%{app_id}.appdata.xml


%files -f %{app_id}.lang
%doc README.md
%license LICENSE

%{_bindir}/%{app_id}

%{_datadir}/applications/%{app_id}.desktop
%{_datadir}/glib-2.0/schemas/%{app_id}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/*.svg
%{_datadir}/icons/hicolor/*/actions/*.svg
%{_datadir}/metainfo/%{app_id}.appdata.xml


%changelog
* lun. nov. 29 2021 Benjamin A. Beasley <code@musicinmybrain.net> 3.3.3-2
- Update to 3.3.3 / tagged 3.4.9 (close RHBZ#2027480)

* dim. nov. 28 2021 Benjamin A. Beasley <code@musicinmybrain.net> 3.3.3-1
- Update to 3.3.3 / tagged 3.4.6 (close RHBZ#2027114)

* dim. nov. 28 2021 Benjamin A. Beasley <code@musicinmybrain.net> 3.2.0-2
- Rename appname spec file macro to app_id

* sam. oct. 16 2021 Benjamin A. Beasley <code@musicinmybrain.net> 3.2.0-1
- Uupdate to 3.2.0

* sam. sept. 25 2021 Benjamin A. Beasley <code@musicinmybrain.net> 3.1.6-1
- Update to 3.1.6 (close RHBZ#2007809)

* ven. sept. 10 2021 Benjamin A. Beasley <code@musicinmybrain.net> 3.1.5-1
- Update to 3.1.5 (close RHBZ#2003286)

* jeu. sept. 09 2021 Benjamin A. Beasley <code@musicinmybrain.net> 3.1.4-1
- Update to 3.1.4 (fix RHBZ#2002210, close RHBZ#2002838)

* mar. sept. 07 2021 Benjamin A. Beasley <code@musicinmybrain.net> 3.1.3-1
- Update to 3.1.3 (close RHBZ#2002063)

* lun. août 23 2021 Benjamin A. Beasley <code@musicinmybrain.net> 3.1.2-1
- Update to 3.1.2 (close RHBZ#1996824)

* mer. août 18 2021 Benjamin A. Beasley <code@musicinmybrain.net> 3.1.1-1
- Update to 3.1.1 (close RHBZ#1994852)

* lun. août 16 2021 Benjamin A. Beasley <code@musicinmybrain.net> 3.1.0-1
- Update to 3.1.0 (close RHBZ#1993745)

* ven. août 06 2021 Benjamin A. Beasley <code@musicinmybrain.net> 3.0.4-1
- New upstream version 3.0.4 (fix RHBZ#1953461)

* jeu. juil. 22 2021 Fedora Release Engineering <releng@fedoraproject.org> 2.7.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jul 09 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.7.4-2
- Switch License field to “effective license” of GPLv3+

* Sun Mar 28 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.7.4-1
- New upstream version 2.7.4
- More localized summaries and descriptions from upstream

* Sat Feb 20 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.6.8-2
- Add localized summaries and descriptions, where available

* Mon Feb 15 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.6.8-1
- Update to version 2.6.8

* Sat Feb 13 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.6.5-1
- Update to version 2.6.5

* Wed Feb 10 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.6.4-1
- Update to version 2.6.4

* Wed Feb 10 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.6.3-4
- Correct License from “GPLv3” to “GPLv3+ and GPLv2+ and CC0”

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Apr 12 2020 Fabio Valentini <decathorpe@gmail.com> - 1.6.3-1
- Update to version 1.6.3.

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Jan 13 2020 Fabio Valentini <decathorpe@gmail.com> - 1.6.0-1
- Update to version 1.6.0.

* Fri Aug 02 2019 Fabio Valentini <decathorpe@gmail.com> - 1.5.8-1
- Update to version 1.5.8.

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Feb 19 2019 Fabio Valentini <decathorpe@gmail.com> - 1.5.5-1
- Update to version 1.5.5.

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Jan 29 2019 Fabio Valentini <decathorpe@gmail.com> - 1.5.4-1
- Update to version 1.5.4.

* Mon Dec 17 2018 Fabio Valentini <decathorpe@gmail.com> - 1.5.3-1
- Update to version 1.5.3.

* Sat Nov 17 2018 Fabio Valentini <decathorpe@gmail.com> - 1.5.1-1
- Update to version 1.5.1.

* Mon Nov 12 2018 Fabio Valentini <decathorpe@gmail.com> - 1.5.0-1
- Update to version 1.5.0.

* Sat Sep 08 2018 Fabio Valentini <decathorpe@gmail.com> - 1.4.5-1
- Update to version 1.4.5.

* Fri Sep 07 2018 Fabio Valentini <decathorpe@gmail.com> - 1.4.3-1
- Update to version 1.4.3.

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jul 07 2018 Fabio Valentini <decathorpe@gmail.com> - 1.4.2-1
- Update to version 1.4.2.

* Wed Jun 13 2018 Fabio Valentini <decathorpe@gmail.com> - 1.4.0-2
- Rebuild for granite5 soname bump.

* Mon Mar 19 2018 Fabio Valentini <decathorpe@gmail.com> - 1.4.0-1
- Update to version 1.4.0.

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 23 2018 Fabio Valentini <decathorpe@gmail.com> - 1.3.8-1
- Update to version 1.3.8.

* Mon Jan 15 2018 Fabio Valentini <decathorpe@gmail.com> - 1.3.7-1
- Initial package.

